#ifndef ROOT_TMySQLResult
#define ROOT_TMySQLResult

#ifndef ROOT_TSQLResult
#include <TSQLResult.h>
#endif

#if !defined(__CINT__)
#include <sys/time.h>
#include <mysql.h>
#else
struct MYSQL_RES;   
struct MYSQL_FIELD;
#endif


class TMySQLResult : public TSQLResult {

private:
   MYSQL_RES   *fResult;      // query result (rows)
   MYSQL_FIELD *fFieldInfo;   // info for each field in the row
    
   Bool_t  IsValid(Int_t field);

public:
   TMySQLResult(void *result);
   ~TMySQLResult();
    
   void        Close(Option_t *opt="");
   Int_t       GetFieldCount();
   const char *GetFieldName(Int_t field);
   TSQLRow    *Next();
   
   ClassDef(TMySQLResult,0)  // MySQL query result
};

#endif
