#ifndef ROOT_TMySQLRow
#define ROOT_TMySQLRow
   
#ifndef ROOT_TSQLRow
#include <TSQLRow.h>
#endif

#if !defined(__CINT__)
#include <sys/time.h>
#include <mysql.h>
#else
struct MYSQL_RES;
typedef char **MYSQL_ROW;
#endif


class TMySQLRow : public TSQLRow {

private:
   MYSQL_RES   *fResult;       // current result set
   MYSQL_ROW    fFields;       // current row
   ULong_t     *fFieldLength;  // length of each field in the row
   
   Bool_t  IsValid(Int_t field);
    
public:
   TMySQLRow(void *result, ULong_t rowHandle);
   ~TMySQLRow();

   void        Close(Option_t *opt="");
   ULong_t     GetFieldLength(Int_t field);
   const char *GetField(Int_t field);
   
   ClassDef(TMySQLRow,0)  // One row of MySQL query result
};

#endif

